package ncc.service.baseapp.rest.impl;

import java.io.IOException;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.io.Serializable;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import nc.bs.framework.adaptor.IHttpServletAdaptor;

/**
 * 【NCC->碧彩商城】项目档案查询接口
 * 
 * @author 周蓝萍
 * @date 2020-11-05
 * @version with NCC
 */
public class ProjectRestImpl  implements IHttpServletAdaptor,Serializable  {

	/**
	 * 
	 */	
	private static final long serialVersionUID = 1L;

	@Override
	public void doAction(HttpServletRequest arg0, HttpServletResponse response) throws ServletException, IOException {
		PrintWriter out=null;
		try {
			response.setHeader("Content-type", "application/json;charset=UTF-8");
			out = new PrintWriter(new OutputStreamWriter(response.getOutputStream(),"UTF-8"));
	        out.write("为了 测试 rest  接口啊，恭喜你测试成功了...............");
	        out.flush();
		} catch (IOException e) {
			e.printStackTrace();
		}finally{
			if(out!=null){
				out.close();
			}
		}
	}



}